### Method

# Cogl Framebuffer set_depth_write_enabled

#### Declaration [src]

    void
    cogl_framebuffer_set_depth_write_enabled (
      CoglFramebuffer* framebuffer,
      gboolean depth_write_enabled
    )

#### Description [src]

Enables or disables depth buffer writing when rendering to `framebuffer`. If depth writing is enabled for both the framebuffer and the rendering pipeline, and the framebuffer has an associated depth buffer, depth information will be written to this buffer during rendering.

Depth buffer writing is enabled by default.

#### Parameters

`depth_write_enabled`

  Type: `gboolean`

  `TRUE` to enable depth writing or `FALSE` to disable.